std::thread::id(3cxx)

NAME
std::thread::id - thread::id

SYNOPSIS

#include <thread>

  Public Member Functions

id (native_handle_type __id)

  Friends

class hash< thread::id >
bool operator< (thread::id __x, thread::id __y) noexcept
template<class _CharT , class _Traits > basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__out, thread::id __id)
bool operator== (thread::id __x, thread::id __y) noexcept
class thread

Detailed Description

thread::id

Definition at line 77 of file thread.

Constructor & Destructor Documentation

  std::thread::id::id () [inline], [noexcept]

Definition at line 82 of file thread.

  std::thread::id::id (native_handle_type __id) [inline], [explicit]

Definition at line 85 of file thread.

Friends And Related Symbol Documentation

  friend class hash< thread::id > [friend]

Definition at line 88 of file thread.

  bool operator< (thread::id __x, thread::id __y) [friend]

Definition at line 289 of file thread.

  template<class _CharT , class _Traits > basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > & __out, thread::id __id) [friend]

Definition at line 306 of file thread.

  bool operator== (thread::id __x, thread::id __y) [friend]

Definition at line 276 of file thread.

  friend class thread [friend]

Definition at line 88 of file thread.

Author

Generated automatically by Doxygen for libstdc++ from the source code.